For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve supported Kafka versions

Returns the list of Kafka versions that this deployment currently advertises as available for new clusters.

get
/versions
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Responses
200

Returned the supported Kafka versions successfully.

application/json
string[]Optional

Kafka versions advertised as available for new clusters.

Example: 4.0.0
get/versions
GET /versions HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  "3.9.0",
  "3.9.1"
]

Last updated

Was this helpful?